These are chat archives for dry-rb/chat

19th
Jun 2017
Julien Blanchard
@julienXX
Jun 19 2017 09:02

Hello I've got a weird loading error with dry-validation:

/Users/julien/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.6/lib/bundler/runtime.rb:94:in `rescue in block (2 levels) in require': There was an error while trying to load the gem 'dry-validation'. (Bundler::GemRequireError)
Gem Load Error is: unknown keywords: sanitizer, json, form

I just required it. Tried with another project and it works normally. Any idea how I could fix that?

Julien Blanchard
@julienXX
Jun 19 2017 14:08
Ok found it I had an old dry-* gem conficting in a dependency.
Tim Riley
@timriley
Jun 19 2017 14:30
Glad to hear it, @julienXX. Which gem was the culprit? Might be useful to mention for people searching through chat.
Julien Blanchard
@julienXX
Jun 19 2017 14:43
Oh yes that was dry-types I believe